package com.qmth.teachcloud.common.util;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;
import java.util.Base64;

/**
 * @Description: AES对称加密
 * @Param:
 * @return:
 * @Date: 2019/10/11
 */
public class AesECBUtil {
    private final static Logger log = LoggerFactory.getLogger(AesECBUtil.class);

    private final static String KEY_SIMPLE = "Qmth87863577qmth";

    public static String encryptSimple(String data) throws Exception {
        SecretKeySpec secretKeySpec = new SecretKeySpec(KEY_SIMPLE.getBytes(), "AES");
        Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
        cipher.init(Cipher.ENCRYPT_MODE, secretKeySpec);
        byte[] encryptedBytes = cipher.doFinal(data.getBytes());
        return Base64.getEncoder().encodeToString(encryptedBytes);
    }

    public static String decryptSimple(String encryptedData) throws Exception {
        SecretKeySpec secretKeySpec = new SecretKeySpec(KEY_SIMPLE.getBytes(), "AES");
        Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
        cipher.init(Cipher.DECRYPT_MODE, secretKeySpec);
        byte[] decryptedBytes = cipher.doFinal(Base64.getDecoder().decode(encryptedData));
        return new String(decryptedBytes);
    }


    public static void main(String[] args) throws Exception {
        String password = "a1234567";
        System.out.println("原始密码：" + password);
        String encryptSimple = encryptSimple(password);
        System.out.println("加密值：" + encryptSimple);
        String passwordDe = decryptSimple(encryptSimple);
        System.out.println("解密值：" + passwordDe);
    }
}
